<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Building/Specific/Land_FuelStation_Feed.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d7a/_land___fuel_station___feed_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Land_FuelStation_Feed.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/d7a/_land___fuel_station___feed_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d7/d54/class_fuel_station.html">    1</a></span><span class="keyword">class </span>Land_FuelStation_Feed <span class="keyword">extends</span> <a class="code hl_class" href="../../d7/d54/class_fuel_station.html">FuelStation</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d7/d54/class_fuel_station.html#ab85d0be6c7f50e0aec7f98ef7710e07f">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d54/class_fuel_station.html#ab85d0be6c7f50e0aec7f98ef7710e07f">EEKilled</a>(<a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> killer)</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        super.EEKilled(killer);</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_function" href="../../dd/d93/_object_8c.html#af4fc84b305ef86ab13cbc5af1d63ead7">Explode</a>(DT_EXPLOSION, <span class="stringliteral">&quot;LandFuelFeed_Ammo&quot;</span>);</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    }</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d7/d54/class_fuel_station.html#a206ccc2d11277e6165557ab0849aa31b">   10</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d54/class_fuel_station.html#a206ccc2d11277e6165557ab0849aa31b">OnExplosionEffects</a>(<a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> source, <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> directHit, <span class="keywordtype">int</span> componentIndex, <span class="keywordtype">string</span> surface, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> pos, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> surfNormal, <span class="keywordtype">float</span> energyFactor, <span class="keywordtype">float</span> explosionFactor, <span class="keywordtype">bool</span> isWater, <span class="keywordtype">string</span> ammoType)</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer() )</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        {   </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>            <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> n = surfNormal.<a class="code hl_function" href="../../d7/dfc/classvector.html#aed751dee971a2a172f3052c68f607111">VectorToAngles</a>() + <span class="stringliteral">&quot;0 90 0&quot;</span>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>            <a class="code hl_class" href="../../de/d85/class_particle.html">Particle</a> p1 = <a class="code hl_function" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a>.GetInstance().PlayInWorld(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#ab400ecccbb0af3aa26433e1af67622aa">SMOKE_GENERIC_WRECK</a>, pos);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>            p1.SetOrientation(n);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            <a class="code hl_class" href="../../de/d85/class_particle.html">Particle</a> p2 = <a class="code hl_function" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a>.GetInstance().PlayInWorld(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a61d275eca73485fadef525e4d5ee8178">EXPLOSION_LANDMINE</a>, pos);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            p2.SetOrientation(n);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            <a class="code hl_class" href="../../de/d85/class_particle.html">Particle</a> p3 = <a class="code hl_function" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a>.GetInstance().PlayInWorld(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a5dd1645f5f126bbf19f313d8e120dc5f">IMPACT_METAL_RICOCHET</a>, pos);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            p3.SetOrientation(n);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            <a class="code hl_class" href="../../de/d85/class_particle.html">Particle</a> p4 = <a class="code hl_function" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a>.GetInstance().PlayInWorld(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a95b22a6555e8f8183144e3b7926c2fbf">IMPACT_GRAVEL_RICOCHET</a>, pos);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            p4.SetOrientation(n);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d7/d54/class_fuel_station.html#af1fd2fc17313ac84c0a5678efca6a478">   30</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d54/class_fuel_station.html#af1fd2fc17313ac84c0a5678efca6a478">HasFuelToGive</a>()</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">return</span> !<a class="code hl_function" href="../../dd/d93/_object_8c.html#a86cb986fccf22de3db5ff74a313bd888">IsRuined</a>();</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>};</div>
<div class="ttc" id="a_object_8c_html_a86cb986fccf22de3db5ff74a313bd888"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a86cb986fccf22de3db5ff74a313bd888">IsRuined</a></div><div class="ttdeci">bool IsRuined()</div><div class="ttdoc">Returns whether the object is ruined (0 Health).</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l01029">Object.c:1029</a></div></div>
<div class="ttc" id="a_object_8c_html_af4fc84b305ef86ab13cbc5af1d63ead7"><div class="ttname"><a href="../../dd/d93/_object_8c.html#af4fc84b305ef86ab13cbc5af1d63ead7">Explode</a></div><div class="ttdeci">void Explode(int damageType, string ammoType=&quot;&quot;)</div><div class="ttdoc">Creates an explosion on this object by its ammoType in config.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l00086">Object.c:86</a></div></div>
<div class="ttc" id="a_particle_manager_8c_html_a93ef360e8fc315d276eb8cc256dc3ef8"><div class="ttname"><a href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a></div><div class="ttdeci">void ParticleManager(ParticleManagerSettings settings)</div><div class="ttdoc">Constructor (ctor)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d6f/_particle_manager_8c_source.html#l00084">ParticleManager.c:84</a></div></div>
<div class="ttc" id="aclass_fuel_station_html"><div class="ttname"><a href="../../d7/d54/class_fuel_station.html">FuelStation</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d7a/_land___fuel_station___feed_8c_source.html#l00001">Land_FuelStation_Feed.c:2</a></div></div>
<div class="ttc" id="aclass_fuel_station_html_a206ccc2d11277e6165557ab0849aa31b"><div class="ttname"><a href="../../d7/d54/class_fuel_station.html#a206ccc2d11277e6165557ab0849aa31b">FuelStation::OnExplosionEffects</a></div><div class="ttdeci">override void OnExplosionEffects(Object source, Object directHit, int componentIndex, string surface, vector pos, vector surfNormal, float energyFactor, float explosionFactor, bool isWater, string ammoType)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d7a/_land___fuel_station___feed_8c_source.html#l00010">Land_FuelStation_Feed.c:10</a></div></div>
<div class="ttc" id="aclass_fuel_station_html_ab85d0be6c7f50e0aec7f98ef7710e07f"><div class="ttname"><a href="../../d7/d54/class_fuel_station.html#ab85d0be6c7f50e0aec7f98ef7710e07f">FuelStation::EEKilled</a></div><div class="ttdeci">override void EEKilled(Object killer)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d7a/_land___fuel_station___feed_8c_source.html#l00003">Land_FuelStation_Feed.c:3</a></div></div>
<div class="ttc" id="aclass_fuel_station_html_af1fd2fc17313ac84c0a5678efca6a478"><div class="ttname"><a href="../../d7/d54/class_fuel_station.html#af1fd2fc17313ac84c0a5678efca6a478">FuelStation::HasFuelToGive</a></div><div class="ttdeci">bool HasFuelToGive()</div><div class="ttdoc">Returns true if this stand is functional.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d7a/_land___fuel_station___feed_8c_source.html#l00030">Land_FuelStation_Feed.c:30</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_particle_html"><div class="ttname"><a href="../../de/d85/class_particle.html">Particle</a></div><div class="ttdoc">Legacy way of using particles in the game.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dfb/_particle_8c_source.html#l00006">Particle.c:7</a></div></div>
<div class="ttc" id="aclass_particle_list_html"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html">ParticleList</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00011">ParticleList.c:12</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a5dd1645f5f126bbf19f313d8e120dc5f"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a5dd1645f5f126bbf19f313d8e120dc5f">ParticleList::IMPACT_METAL_RICOCHET</a></div><div class="ttdeci">static const int IMPACT_METAL_RICOCHET</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00224">ParticleList.c:224</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a61d275eca73485fadef525e4d5ee8178"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a61d275eca73485fadef525e4d5ee8178">ParticleList::EXPLOSION_LANDMINE</a></div><div class="ttdeci">static const int EXPLOSION_LANDMINE</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00249">ParticleList.c:249</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a95b22a6555e8f8183144e3b7926c2fbf"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a95b22a6555e8f8183144e3b7926c2fbf">ParticleList::IMPACT_GRAVEL_RICOCHET</a></div><div class="ttdeci">static const int IMPACT_GRAVEL_RICOCHET</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00218">ParticleList.c:218</a></div></div>
<div class="ttc" id="aclass_particle_list_html_ab400ecccbb0af3aa26433e1af67622aa"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#ab400ecccbb0af3aa26433e1af67622aa">ParticleList::SMOKE_GENERIC_WRECK</a></div><div class="ttdeci">static const int SMOKE_GENERIC_WRECK</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00255">ParticleList.c:255</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="aclassvector_html_aed751dee971a2a172f3052c68f607111"><div class="ttname"><a href="../../d7/dfc/classvector.html#aed751dee971a2a172f3052c68f607111">vector::VectorToAngles</a></div><div class="ttdeci">proto vector VectorToAngles()</div><div class="ttdoc">Converts vector to spherical coordinates with radius = 1.</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_5a21421794a69364d22c458d6ab4c91b.html">Building</a></li><li class="navelem"><a class="el" href="../../dir_2b375d0f03af1633e5030df6332953da.html">Specific</a></li><li class="navelem"><a class="el" href="../../df/d7a/_land___fuel_station___feed_8c.html">Land_FuelStation_Feed.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
